-- #############################################################################
-- ## Module: @(#)mk_drop_external_tables.sql      1.0     Date: 2020/05/18
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- #############################################################################

-- #############################################################################
-- Script to drop external tables created by mk_external_tables
-- Only drops tables with names matching "_ext_*"
-- Run this for each database you need to migrate
-- #############################################################################

unload to "drop_external_tables.sql" 
delimiter ";"
select "drop table " || trim(tabname) 
from systables 
where tabid > 99
and tabtype ="E"
and tabname matches "_ext_*";

