-- #############################################################################
-- ## Module: @(#)mk_truncate.sql      1.0     Date: 02/14/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- #############################################################################

-- #############################################################################
-- Scrip to Generate truncate statement for each table in a database
-- DO NOT RUN UNLESS YOU WANT TO DELETE ALL YOUR DATA
-- #############################################################################

output to "truncat_table.sql" without headings
select "truncate  " || trim(tabname) || ";" 
from systables 
where tabid > 99
and tabtype ="T"
;

